@import url("https://fonts.googleapis.com/css2?family=Mulish:wght@300&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Mulish", sans-serif;
}
.navbar-brand {
  width: 20rem;
  height: auto;
}

.searchBar {
  border-radius: 31.26px 29.77px 29.77px 29.77px;
  width: 100%;
  margin-top: 1rem;
}
.search {
  position: absolute;
  right: 50%;
}
.searchButton {
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  margin-left: 12rem;
  margin-top: -4rem;
  border-color: #cb0777;
  background-color: #cb0777;
}
.searchButton:hover {
  background-color: white;
}
.fa-search {
  color: white;
}
.searchButton:hover > .fa-search {
  color: #cb0777;
}
.icon_size {
  font-size: 2rem;
}
.btn_top {
  border-radius: 31.26px 29.77px 29.77px 29.77px;
  border-color: #cb0777;
}
.btn_top2 {
  border-color: #cb0777;
}
.login {
  background-color: white;
  color: #cb0777;
  margin-top: -1rem;
}
.login:hover {
  background-color: #cb0777;
  color: white;
}
.signup {
  background-color: #cb0777;
  color: white;
  margin-top: -1rem;
}
.signup:hover {
  background-color: white;
  color: #cb0777;
}
.fa-whatsapp {
  color: green;
}
.fa-phone {
  color: black;
}
.nav_margin {
  position: absolute;
  right: 0px;
}
.nav1_items {
  margin-top: -4rem;
}

/* second nav */
.navbar_second {
  background-color: #cb0777;
  border-radius: 5px;
  margin-left: -0.5rem;
}
.text-style {
  color: white;
  margin-right: 3.5rem;
  /* margin-left: 0.5rem; */
}
.text-style:hover {
  color: black;
}
.mob_button {
  display: none;
}
.mob_button2 {
  display: none;
}
@media screen and (max-width: 991px) {
  .nav1_items {
    display: none;
  }
  .search {
    position: relative;
    right: 0;
  }
  /* second nav */
  .navbar_second {
    background-color: white;
    border-radius: 5px;
    margin-left: -0.5rem;
  }
  .text-style {
    color: #cb0777;
    margin-right: 3.5rem;
    margin-left: 1.5rem;
  }
  .mob_button {
    display: block;
    margin: 0.5rem 1.5rem;
    width: 10rem;
    color: #cb0777;
    border-color: #cb0777;
  }
  .mob_button:hover {
    color: white;
    border-color: #cb0777;
    background-color: #cb0777;
  }
  .mob_button2 {
    display: block;
    margin: 0.5rem 1.5rem;
    width: 10rem;
    color: white;
    border-color: #cb0777;
    background-color: #cb0777;
  }
  .mob_button2:hover {
    color: #cb0777;
    border-color: #cb0777;
    background-color: white;
  }
}
@media screen and (min-width: 991px) and (max-width: 1199px) {
  .search {
    position: relative;
    right: 5rem;
  }
}
.typewriter h6 {
  color: black;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: 0.15em solid #cb0777; /* The typwriter cursor */
  white-space: wrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: 0.15em; /* Adjust as needed */
  animation: typing 3.5s steps(30, end), blink-caret 0.5s step-end infinite;
  /* font-size: 2vw; */
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: #cb0777;
  }
}
.b1-row {
  margin: 0.5rem;
  padding: 0px;
  border: none;
}
.b1-card {
  border: none;
  border-radius: 0px;
}
.b2-text-color {
  color: #eab543;
  text-align: center;
  /* font-size: 4vw; */
  /* white-space: nowrap; */
}

.badge-style {
  border-width: 1px;
  border-color: rgb(234, 181, 67);
  border-style: solid;
  border-radius: 50%;
  background-color: rgb(234, 181, 67);
  text-align: center;
}
.b2-image2 {
  display: none;
}
@media screen and (max-width: 991px) {
  .b2-text-color {
    font-size: 4vw;
    white-space: nowrap;
  }
  .b2-image {
    display: none;
  }
  .b2-image2 {
    display: flex;
  }
}
.b3 {
  border: none;
}
.b3 .card {
  border: none;
}
.b3 img {
  border-radius: 10px;
}
.b4-row {
  background-color: #6d214f;
  color: white;
  border-radius: 5px 5px 0px 0px;
}
.b4-row ul li {
  background-color: #6d214f;
  color: white;
  border: none;
}
.b4-row i {
  color: white;
  font-size: 2rem;
  margin-right: 2rem;
  margin-top: 2.5rem;
  margin-bottom: 0.5rem;
}
.b4-row h6 {
  margin-top: 0.7rem;
}
.b5-row {
  background-color: #b33771;
  color: white;
}
.b5-row h6 {
  font-size: 0.7rem;
  text-align: center;
  padding-top: 0.5rem;
}
.b12-row {
  margin: 0rem 0rem;
  padding: 0px;
  border: none;
}
/* courses */

.img-rounded {
  border-radius: 50%;
  text-align: center;
}
.course-btn {
  background-color: #cb0777;
  color: white;
  border-color: #cb0777;
  border-radius: 5px;
}
.course-btn:hover {
  background-color: white;
  color: #cb0777;
  border-color: #cb0777;
}
.c2-row {
  background-color: #cb0777;
  color: white;
  padding-top: 0.5rem;
  border-radius: 5px 5px 0px 0px;
}
.overlay2 {
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
}
.block-m {
  text-align: center;
}
.block-m h5 {
  font-size: 3.5vw;
}
.block-m a button {
  font-size: 2vw;
}
.block-m p {
  font-size: 2vw;
}
.container {
  position: relative;
  width: 100%;
  overflow: hidden;
  padding-top: 66.66%;
}

.responsive-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  border: none;
}
.w-row {
  color: #cb0777;
  text-align: center;
  font-weight: bolder;
  margin: 1rem;
}
.w2-row {
  color: #cb0777;
  text-align: left;
  font-weight: bolder;
}
.Rectangle_2 {
  border-width: 1px;
  border-color: rgb(0, 0, 0);
  border-style: solid;
  border-radius: 20px;
  background-color: rgb(255, 255, 255);
}
.grdnt {
  background-color: white;
  background-image: linear-gradient(white, white, white, #cb0777);
}
.center-all {
  text-align: left;
}
.display {
  visibility: hidden;
}
.badge-circle {
  border-radius: 10%;
  background-color: grey;
  text-align: center;
  width: 4rem;
}
.mob-view {
  display: none;
}
@media screen and (max-width: 760px) {
  .mob-view {
    display: inline;
  }
  .tab-view {
    display: none;
  }
}

.login_bg {
  background-color: #cb0777;
  color: white;
  text-align: center;
}

.text {
  position: relative;
  text-align: center;
  float: center;
}

.text::after {
  content: "";
  position: absolute;
  border-top: 3px solid white;
  left: 40%;
  bottom: 0;
  width: 20%;
  height: 0px;
}

.login_icon {
  background: white;
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  padding-top: 1rem;
  justify-content: center;
  text-align: center;
  vertical-align: middle;
  color: #cb0777;
  margin-top: 0rem;
}
.login_box {
  background: white;
  width: 100%;
  /* height: 80px; */
  border-radius: 50.15px;
  justify-content: center;
  text-align: center;
  /* line-height: 100px; */
  vertical-align: middle;
  padding: 2%;
  color: #cb0777;
  box-shadow: 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
#basic-addon1 {
  background-color: white;
  color: #cb0777;
  box-shadow: 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.verify_btn {
  background-color: #6d214f;
  color: white;
}
.verify_btn:hover {
  background-color: white;
  color: #6d214f;
  border-color: #6d214f;
}
#input_email,
#input_password,
#name {
  box-shadow: 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
#userButton {
  margin-left: 1rem;
  margin-right: 2rem;
}
#loginButton,
#signupButton,
#userButton,
#Mob_loginButton,
#Mob_signupButton,
#Mob_userButton {
  display: none;
}
.block4_style {
  color: white;
  text-decoration: none;
}
.block4_style:hover {
  color: white;
}
